<?php

require_once '../../../../wp-load.php';
require_once 'chinadivision-common-function.php';

global $wpdb;
$db_prefix = $wpdb->prefix;

$input = file_get_contents('php://input');

if (empty($input)) {
    cd_api_response_failed('callback data can not be empty');
}

cd_trace_log('chinadivision order callback data:');
cd_trace_log($input, true);

$apikey = trim($_SERVER['HTTP_APIKEY'] ?? '');
if (empty($apikey)) {
    cd_api_response_failed('Apikey can not be empty', 2);
}

if (CHINADIVISION_API_KEY !== $apikey) {
    cd_api_response_failed('Apikey validation failed', 3);
}

$data = json_decode($input, true);
if (empty($data) || empty($data['tracking'])) {
    cd_api_response_failed('callback data is illegal', 4);
}

$error = '';

foreach ($data['tracking'] as $k => $v) {
    $ret = cd_update_shipping($v);
    if (!is_bool($ret)) {
        $error .= $ret . ',';
    }
}
if ($error) {
    cd_api_response_failed(rtrim('Can synchronize but synchronize failed orders:' . $error, ','), 6);
}

cd_api_response_success();