<?php
require_once '../../../../wp-load.php';
require_once './chinadivision-config.php';
require_once './chinadivision-common-function.php';

global $wpdb;
$db_prefix = $wpdb->prefix;

if (cd_check_apikey_is_empty()) {
    cd_api_response_failed('apikey can not be empty.');
}
if (empty($_POST['order_ids'])) {
    cd_api_response_failed('Please choose your order checkbox.', 2);
}
$order_ids = $_POST['order_ids'];

if (!cd_check_prefix_is_empty()) {
    $ids = explode(',', $order_ids);
    $order_ids = '';
    foreach ($ids as $idv) {
        $order_ids .= CHINADIVISION_PREFIX . $idv . ",";
    }
    $order_ids = substr($order_ids, 0, -1);
}

$tracking = cd_http(CD_GET_SHIPPED_INFO_URL, "POST", ['order_ids' => $order_ids], ['Content-Type:application/x-www-form-urlencoded', 'apikey:' . CHINADIVISION_API_KEY]);
if (!is_array($tracking)) {
    cd_api_response_failed('getting tracking info failed, ' . $tracking);
}

if (empty($tracking['data']) || $tracking['code'] == 4) {
    cd_api_response_failed('There are no orders to sync!', 4);
} elseif ($tracking['code']) {
    cd_api_response_failed('There was an error getting the order information!', 5);
}

$error = "";

foreach ($tracking['data'] as $k => $v) {
    $ret = cd_update_shipping($v);
    if (!is_bool($ret)) {
        $error .= $ret . ',';
    }
}
if ($error) {
    cd_api_response_failed(trim('Can synchronize but synchronize failed orders:' . $error, ','), 6);
}
cd_api_response_success();

